// SPDX-FileCopyrightText: 2022 Matteo Settenvini <matteo.settenvini@montecristosoftware.eu>
// SPDX-License-Identifier: GPL-3.0-or-later

use {
    crate::nss_bindings::{nss_status, HErrno},
    libc::{hostent, size_t, socklen_t},
    nix::errno::Errno,
    std::os::raw::{c_char, c_int, c_void},
};

pub async unsafe fn with(
    _addr: *const c_void,
    _len: socklen_t,
    _af: c_int,
    _host: *mut hostent,
    _buffer: *mut c_char,
    _buflen: size_t,
    _errnop: *mut Errno,
    _h_errnop: *mut HErrno,
    _ttlp: *mut i32,
) -> nss_status {
    todo!()
}
